%define major		0

Summary:	GNOME Object Activation Framework
Name:		oaf
Version:	0.6.8
Release:	3mdk
License:	LGPL/GPL
Group:		Graphical desktop/GNOME
BuildRequires:	byacc, flex, ORBit-devel, popt-devel, libxml-devel
BuildRequires:	xml-i18n-tools

Source:		ftp://ftp.gnome.org/pub/GNOME/stable/sources/%{name}/%{name}-%{version}.tar.bz2
URL:		http://www.gnome.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
OAF (Object Activation Framework) provides the activation mechanism for GNOME
components. It is a replacement for GOAD in the GNOME 2 platform.

%package -n lib%{name}%{major}
Requires:	oaf >= %{version}
Summary:	%{summary}
Group:		%{group}

%description -n lib%{name}%{major}
OAF (Object Activation Framework) provides the activation mechanism for GNOME
components. It is a replacement for GOAD in the GNOME 2 platform.

%package -n lib%{name}%{major}-devel
Provides:	lib%{name}-devel
Summary:	Development libraries and headers for OAF
Group:		Graphical desktop/GNOME
Requires:	lib%{name}%{major} = %{version}
Requires:   ORBit-devel
Requires:   popt-devel
Obsoletes:	oaf-devel
Provides:	oaf-devel = %{version}
Provides:	lib%{name}-devel = %{version}

%description -n lib%{name}%{major}-devel
OAF (Object Activation Framework) provides the activation mechanism for GNOME
components. It is a replacement for GOAD in the GNOME 2 platform.

This package contains the header files and libraries needed to develop
applications using OAF.

%prep

%setup -q

%build

# DO NOT COMPILE WITH MDK OPTIMIZATIONS !!
# there is a bug in gcc 2.96 and MDK optimizations (-mcpu=pentiumpro)
# Don't modify these optimizations unless you run the 
# test suite for this bug
export CFLAGS=`echo $RPM_OPT_FLAGS | sed -e "s/-mcpu=pentiumpro//"` %configure

%make

make check

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -n lib%{name}%{major}  -p /sbin/ldconfig
%postun -n lib%{name}%{major}  -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/oafd
%{_bindir}/oaf-client
%{_bindir}/oaf-slay
%{_bindir}/oaf-sysconf
%{_bindir}/oaf-run-query
%{_datadir}/oaf
%{_datadir}/idl/*
%{_mandir}/man1/*
%config(noreplace) %{_sysconfdir}/oaf

%files -n lib%{name}%{major}
%defattr(-, root, root)
%{_libdir}/lib*.so.*

%files -n lib%{name}%{major}-devel
%defattr(-, root, root)
%{_bindir}/oaf-config
%{_libdir}/*a
%{_libdir}/*so
%{_libdir}/*Conf.sh
%{_includedir}/liboaf
%{_datadir}/aclocal/*

%changelog
* Mon Feb 25 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 0.6.8-3mdk
- integrated Basque translation

* Mon Feb 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.8-2mdk
- Add missing dependencies in -devel package

* Fri Jan 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.8-1mdk
- Release 0.6.8
- Remove patch0 (merged upstream)
- Add more optimizations

* Mon Dec 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.7-3mdk
- Fix optimizations 
- Use makeinstall_std macro
- Patch0 (GNOME CVS): fix oaf-slay username detection, multiple activation prb

* Sat Nov 10 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.6.7-2mdk
- Use %%configure macro, and enable optimizations, on non-x86
- Use %%configure macro, and leave optimizations disabled, on x86
- Use 'make DESTDIR='

* Fri Oct 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.7-1mdk
- Release 0.6.7
- Remove patch0 & 1 (merged upstream)
- Fix libification

* Tue Oct  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.6-4mdk
- Patch1: Open the lock file read/write (GNOME CVS)

* Thu Sep 06 2001 Stefan van der Eijk <stefan@eijk.nu> 0.6.6-3mdk
- BuildRequires: byacc, flex
- Removed BuildRequires: zlib-devel

* Tue Sep  4 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.6-2mdk
- Patch0: disable registration info if debug is off (GNOME CVS)

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.6-1mdk
- Yeppee. Stable release 0.6.6

* Thu Aug 16 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.6-0.20010810.1mdk
- New CVS snapshot (should fix memory leaks)

* Wed Aug  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.6-0.20010711.2mdk
- Disable optimization : this was breaking Nautilus HTML/Text component selection

* Wed Jul 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.6-0.20010711.1mdk
- Snapshot from CVS : should fix slowness with old oafd processes

* Fri Mar  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.5-1mdk
- Release 0.6.5
- Remove regeneration of aclocal.m4 and configure

* Wed Feb 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.4-1mdk
- Release 0.6.4
- Force regeneration of aclocal.m4 and configure to correctly detect perl

* Fri Feb 16 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.3-1mdk
- Release 0.6.3

* Tue Jan 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.2-1mdk
- Release 0.6.2

* Tue Dec  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.1-3mdk
- Provides and Obsoletes oaf-devel

* Fri Nov 24 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.6.1-2mdk
- added locales (find_lang macro)
- added idl files (revealed by gnumeric compilations problems)
- added oaf-sysconf and oaf-run-query binaries
- complete /usr/share/oaf folder

* Thu Nov 16 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.1-1mdk
- Release 0.6.1
- Rename packages

* Wed Oct 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.0-1mdk
- Release 0.6.0

* Mon Sep 18 2000 David BAUDENS <baudens@mandrakesoft.com> 0.5.1-3mdk
- BuildConflits: libxml2-devel
- Make rpmlint happy

* Sun Aug 20 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.5.1-2mdk
- add things in /etc.

* Mon Aug 14 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.5.1-1mdk
- remove docdir, no use.!
- new and shiny version.

* Sun Aug 13 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.5.0-1mdk
- new and shiny version of oaf.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.4.0-2mdk
- automatically added BuildRequires

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.4.0-1mdk
- Packaged for mandrake. Needed for gnucash/gtkhtml
